body {
  background-color: #072541;
  font-size: 25px;
  font-family: 'Nunito Sans', sans-serif;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  margin: 0;
  padding: 0;
}

*::selection {
    background-color: #ec7d0f;
    color: #fff;
}

main {
  flex: 1; /* Allows the main content to take up remaining space */
}

h1 {
    color: azure;
    text-align: center;
    text-transform: uppercase;
    transition: all 0.3s ease-in-out;
}

h1:hover {
    color: rgb(195, 234, 235);
    opacity: 0.5;
    cursor: grab;
}

#timer-container {
    text-align: center;
    background-color: azure;
    max-width: 30%;
    margin: 0 auto;
    padding: 30px 5px;
    border-radius: 0.4em;
}

#timer-container:hover {
    box-shadow: 0 0 10em 0px rgba(192, 209, 7, 0.2)
}

#timer {
  font-size: 2em;
  margin-top: 20px;
  color: tomato;
  width: 100px;
  margin: 50px auto;
  padding: 0 0.8em 0 0.2em;
  background-color: #072541;
  border-radius: 10px;
  transition: all 0.3s ease-in-out;
}

#timer:hover {
    color: cadetblue;
    opacity: 0.7;
}

h5 {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    background-color: #053B50;
    color: #fff;
    padding: 15px;
    gap: 5px;
    border-radius: 40px;
    transition: all 0.3s ease-in-out;
}

h5:hover {
    background-color: cadetblue;
    opacity: 0.5;
    cursor: grab;
}

button {
    transition: all 0.4s ease-in-out;
}

.button1 {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    color: #fff;
    padding: 10px;
    border: none;
    border-radius: 10px;
    background-color: greenyellow;
}

.button2 {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    color: #fff;
    padding: 10px;
    border: none;
    border-radius: 10px;
    background-color: #337CCF;
}

.button3 {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    color: #fff;
    padding: 10px;
    border: none;
    border-radius: 10px;
    background-color: #9400FF;
}

button:hover {
    color: cadetblue;
    cursor: pointer;
    opacity: 0.8;
}

/* Explore */
#explore {
    text-align: center;
    background-color: azure;
    max-width: 30%;
    margin: 0 auto;
    padding: 30px 5px;
    border-radius: 0.4em;
    transition: all 0.3s ease-in-out;
}

#explore:hover {
    box-shadow: 0 0 10em 0px rgba(192, 209, 7, 0.2)
}

ul li {
    display: flex;
    align-items: center;
    list-style: none;
    align-items: center;
    max-width: fit-content;
    margin: 10px 0;
    gap: 0.2em;
    transition: all 0.3s ease-in-out;
}

ul li:nth-child(1) {
    background-color: greenyellow;
    padding: 0.2em;
    border-radius: 0.1em;
}

ul li:hover {
    color: cadetblue;
    cursor: pointer;
    opacity: 0.8;
    transition: all 0.3s ease-in-out;
}


ul li:nth-child(2) {
    background-color: #337CCF;
    padding: 0.2em;
    border-radius: 0.1em;
}

ul li:nth-child(3) {
    background-color: #9400FF;
    padding: 0.2em;
    border-radius: 0.1em;
}

li::before {
    content: "⚙";
    font-size: 0.5em;
}

ul li:hover::after {
    content: "👈";
}

/* Footer */
footer {
    color: #fff;
    margin-top: 10vh;
    flex-shrink: 0;
}

.notice {
    margin: 0;
    padding: 0;
    font-size: 0.6em;
    text-align: center;
}